package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkElemeBillDetailGetRequest struct {
	/*
	   对账单查询参数     */
	EleBillRequest *domain.AlibabaWdkElemeBillDetailGetEleBillRequest `json:"ele_bill_request" required:"true" `
}

func (s *AlibabaWdkElemeBillDetailGetRequest) SetEleBillRequest(v domain.AlibabaWdkElemeBillDetailGetEleBillRequest) *AlibabaWdkElemeBillDetailGetRequest {
	s.EleBillRequest = &v
	return s
}

func (req *AlibabaWdkElemeBillDetailGetRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.EleBillRequest != nil {
		paramMap["ele_bill_request"] = util.ConvertStruct(*req.EleBillRequest)
	}
	return paramMap
}

func (req *AlibabaWdkElemeBillDetailGetRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
